function servercmdClearLeftBricks(%client)
{
   if(!%client.isAdmin)
      return;
   %count = MainBrickGroup.getCount();
   for(%i=0;%i<%count;%i++)
   {
      %group = MainBrickGroup.getObject(%i);
      if(!isObject(%group.client) && %group.getCount())
         %list = %list SPC %group.bl_id;
   }
   
   %list = lTrim(%list);
   
   if(!getWordCount(%list))
      return;
      
   %mainGroup = getBrickGroupsFromList(%list);
   
   if(getBrickCount() > 0)
		messageAll('MsgClearBricks','\c3%1\c0 cleared \c3%2 \c0bricks.',%client.name,namesFromGroup(%mainGroup));

   %count=getWordCount(%mainGroup);
   for(%i=0;%i<%count; %i++)
      getWord(%mainGroup,%i).deleteAll();
}
function getBrickGroupsFromList(%list)
{
   %count=MainBrickGroup.getCount();
   for(%i=0;%i<%count;%i++)
   {
      %group=MainBrickGroup.getObject(%i);
      if(hasItemOnList(%list,%group.bl_id))
         %g=%g SPC %group;
   }
   return lTrim(%g);
}
function namesFromGroup(%group)
{
   %count=getWordCount(%group);
   for(%i=0;%i<%count;%i++)
   {
      %obj=getWord(%group,%i);
      if(!%obj.getCount())
         continue;
      %name=(strLen(%obj.name)?%obj.name:"BL_ID:"@%obj.bl_id);
      %string=%string@(strLen(%string)&&%count>2?"\c0, "@(%i==%count-1&&%count>1?"and ":"")@"\c3":"")@%name@(%i==%count-1?(getSubStr(%name,strLen(%name)-1,1)$="s"?"'":"'s"):"");
      //BL_ID:10103, MARBLE MAN, Robinson, and Steven's
      //MARBLE MAN and Athens'
   }
   return %string;
}